Bug Hunting Session
Bug 125879 - Change Wrap Through Icon
Summary: Change Wrap Through Icon
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.3.0.0.beta1+
Hardware: All All
: medium normal
Assignee: Rizal Muttaqin
URL:
Whiteboard: target:6.4.0 target:6.3.0.1
Keywords:
Depends on:
Blocks: Icon-Theme-Breeze Icon-Theme-Colibre Icon-Theme-KarasaJaga Icon-Theme-Elementary Icon-Theme-Sifr
  Show dependency treegraph
 
Reported: 2019-06-12 10:53 UTC by Rizal Muttaqin
Modified: 2019-06-27 21:53 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Wrong Breeze Wrap icon (24.27 KB, image/png)
2019-06-12 11:00 UTC, Rizal Muttaqin
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rizal Muttaqin 2019-06-12 10:53:42 UTC
Steps to Reproduce:
1. Open Writer
2. Write a paragraph
3. Insert a shape in the paragraph

By default the shape will overlay overtake the text so the text is under the shape (wrap through). The problem is the icon itself on all themes represent the vice versa: the shape under the text.

I suggest to change the wrapthrough icon in all themes
Comment 1 andreas_k 2019-06-12 10:55:50 UTC
ok
Comment 2 Rizal Muttaqin 2019-06-12 10:58:18 UTC
The current wrapthrough icon should be assigned to "In the background" menu entry

<<Right click on the shape > Wrap > In the background>>
Comment 3 Rizal Muttaqin 2019-06-12 11:00:06 UTC
Created attachment 152132 [details]
Wrong Breeze Wrap icon

Ass the addition, this one should be updated too
Comment 4 Rizal Muttaqin 2019-06-12 11:01:02 UTC
(In reply to Rizal Muttaqin from comment #3)
> Created attachment 152132 [details]
> Wrong Breeze Wrap icon
> 
> Ass the addition, this one should be updated too

and ooh, the Optimal with contour toggle on also should be changed, see elementary as a reference
Comment 5 Rizal Muttaqin 2019-06-12 11:02:52 UTC
c4 is reproducible to Colibre, and Sifr (as Sifr fallback to Breeze, need a dedicated wr0*)
Comment 6 Commit Notification 2019-06-12 17:18:29 UTC
rizmut committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/a38bd8bfa95e8f86e88f43ad569e849db0c49eda%5E%21

KJ & elementary: tdf#125879, change wrapthrough icons

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2019-06-12 18:51:31 UTC
rizmut committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/+/9d2ce452718470496c3f836850caf0a3f4a5469b%5E%21

KJ & elementary: tdf#125879, change wrapthrough icons

It will be available in 6.3.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2019-06-13 03:21:11 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/47d0dac4f4b165a7e18a09aa45a6984a6c1fce0e%5E%21

Colibre: tdf#125879 Change Wrap Through Icon, tdf#125888, clean SVG

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2019-06-13 03:28:30 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/+/8f21ab1af35b789feef66032e8efdf8cbb88d8d2%5E%21

Colibre: tdf#125879 Change Wrap Through Icon, tdf#125888, clean SVG

It will be available in 6.3.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2019-06-13 08:05:22 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/896e8b0914b6e5dee562ddaa09d4169eb8f325f5%5E%21

tdf#125879 Change Wrap Through Icon in Breeze

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2019-06-13 12:39:53 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/+/3f6d9d26d7852ce780615fae4e9be36e9de55959%5E%21

tdf#125879 Change Wrap Through Icon in Breeze

It will be available in 6.3.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2019-06-27 16:55:34 UTC
rizmut committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/aad4185670f0a06c09797aa3011b81764a889ef9%5E%21

Breeze: fix for tdf#125879

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 Commit Notification 2019-06-27 21:53:51 UTC
rizmut committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/+/7e47c20a1faf27c184454a3b07b14f27954cd245%5E%21

Breeze: Fix for tdf#107144, tdf#125879

It will be available in 6.3.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.